<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('scroll_ads', function (Blueprint $table) {
            $table->id();
            $table->string('ad_title', 250)->comment('广告/公告标题');
            $table->string('ad_link', 250)->nullable()->comment('链接地址');
            $table->tinyInteger('ad_new_flag')->default(0)->comment('新窗口打开标识 (1是 0否)');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('scroll_ads');
    }
};
